XML Template Class

package | phpLDAPadmin
subpackage | Templates

### Methods

## __construct()

    __construct($server_id, $name, $filename, $type, $id)

### Parameters

#### $server_id

#### $name

#### $filename

#### $type

#### $id

## Add another attribute to this template

    addAttribute($name, $value, $source) : int

### Parameters

#### $name

#### $value

#### $source

### Returns

`int`Attribute ID

## Get a specific Attribute

    getAttribute(string $name) : object

### Parameters

#### $name

`string`

Name of attribute to retrieve

### Returns

`object`Attribute

## Get the attribute names

    getAttributeNames() : array

### Returns

`array`Array of attributes Names

## Get the Template filename.

    getFileName()

## Return the template by ID

    getID()

## Return the template name

    getName(boolean $lower)

### Parameters

#### $lower

`boolean`

Force the name to be lowercase (default)

## Get the Template read time.

    getReadTime()

## Get template title

    getTitle()

## Return the template type

    getType()

## May be overloaded in other classes

    isAdminDisabled()

## Test if a template is of a type

    isType($type) : boolean

### Parameters

#### $type

### Returns

`boolean`

## Get an attribute ID

    getAttrID(string $attr) : int

### Parameters

#### $attr

`string`

The Attribute being searched.

### Returns

`int`Attribute ID in the array

## Return this LDAP Server object

    getServer() : object

### Returns

`object`DataStore Server

## Return the LDAP server ID

    getServerID() : int

### Returns

`int`Server ID

### Properties

## $attributes

    $attributes

## $filename

    $filename

## $id

    $id

## $name

    $name

## $readtime

    $readtime

## $server_id

    $server_id

## $type

    $type